/*
 * This file is part of the internal font implementation.  It should not be included by anyone other than
 * FontMac.cpp, FontWin.cpp and Font.cpp.
 *
 * Copyright (C) 2006 Apple Computer, Inc.
 * Copyright (C) 2006 Zack Rusin <zack@kde.org>
 * Copyright (C) 2006 Dirk Mueller <mueller@kde.org>
 * Copyright (C) 2006 Nikolas Zimmermann <zimmermann@kde.org>
 * 
 * All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

#ifndef FontPlatformData_H
#define FontPlatformData_H

#include "GlyphBuffer.h"
#include "FontDescription.h"

#include <gui/font.h>

namespace WebCore {

class FontPlatformData {
public:
    class Deleted { };
    FontPlatformData(Deleted);

    FontPlatformData();
    FontPlatformData(const FontDescription&, const AtomicString& family);
    FontPlatformData( const FontDescription&, os::Font* font );
    FontPlatformData(const FontPlatformData& f);
    ~FontPlatformData();

    bool isFixedPitch();

    os::Font* fontPtr() const;

    unsigned hash() const;

    bool operator==(const FontPlatformData&) const;

private:
    os::Font* m_font;
};

}

#endif

// vim: ts=4 sw=4 et
